<?php 
session_start();
 if($_SESSION['usuariogrupo_id']!=1){
	 ?>
	 
	 <div class="content-wrapper">
<section class="content-header">
  <h1>
    Empresa
    <small>modulo</small>
  </h1>
  <ol class="breadcrumb">
    <li><a href="#"><i class="fa fa-dashboard"></i> Inicio</a></li>
    <li><a href="#">Mantenimiento</a></li>
    <li><a href="#">General</a></li>
    <li class="active">Empresa</li>
  </ol>
</section>
<section class="content" style="min-height:0px;padding-bottom:0px;margin-bottom:-30px;">
	<div class="row">
	    <div class="col-xs-12">
		    <div class="box">
		        <div class="box-header">
		<strong>USTED NO TIENE PERMISOS PARA VER ESTA PAGINA</strong>
		        </div>
		    </div>
		</div>
	</div>
</section>
</div>
	 <?php 
 }
 else{
?>

  <div class="content-header" >
      <div class="container-fluid">
        <div class="row mb-2">
		 <div class="col-sm-6">
			<h1>
			Empresa
			<small>modulo</small>
			</h1>
		</div>	
		
		<div class="col-sm-6">
            <ol class="breadcrumb float-sm-right">
				<li class="breadcrumb-item" >Inicio</li>
				<li class="breadcrumb-item" >Mantenimiento</li>
				<li class="breadcrumb-item" >General</li>
				<li class="breadcrumb-item active">Empresa</li>
            </ol>
          </div>
		</div>
	</div>
</div>

<section class="content">
	<div class="container-fluid">
	<div class="row">
	    <div class="col-lg-12 col-md-12 col-sm-12 col-xs-12" style="padding:0px;" >
		    <div class="card">
		        <div class="card-header">
		          <button id="btn_agregar" onClick="empresa_form('insertar')" class="btn btn-primary">Agregar</button>
		          <button id="btn_actualizar" class="btn btn-default">Actualizar</button>		        
		        </div>
		    </div>
		</div>
	</div>
	</div>
</section>
		
		<div id="div_empresa_tabla"></div>
			
			<div class="modal fade" id="div_empresa_form_dialog" role="dialog" data-keyboard="false" data-backdrop="static" tabindex="-1"  style="padding:0px;">
			<div class="modal-dialog modal-lg " style="width: 90% !important;" role="document" >
			<div class="modal-content">
			<div class="modal-body div_empresa_form" >
			</div>
			<br />
			<br />
			</div>
			</div>
			</div>

<script type="text/javascript">
function empresa_tabla()
{	
	$.ajax({
		type: "POST",
		url: "../empresa/empresa_tabla.php",
		async:true,
		dataType: "html",                      
		data: ({
			//pro_est:	$('#cmb_fil_pro_est').val()
		}),
		beforeSend: function() {
			$('#div_empresa_tabla').addClass("ui-state-disabled");
        },
		success: function(html){
			$('#div_empresa_tabla').html(html);
		},
		complete: function(){			
			$('#div_empresa_tabla').removeClass("ui-state-disabled");
		}
	});     
} 
function empresa_form(act,idf)
{
	$('#div_empresa_form_dialog').modal();
	
	$.ajax({
		type: "POST",
		url: "../empresa/empresa_form.php",
		async:true,
		dataType: "html",                      
		data: ({
			action: act,
			emp_id:	idf
		}),
		beforeSend: function() {
			var div = "<center><div class='overlay col-lg-12 col-sm-12 col-xs-12' style='background-color:#fff;padding:0%;font-size:3rem;' >  <i class='fa fa-refresh fa-spin ' ></i> </div>  </center>";	
			$('.div_empresa_form').html(div);
	
        },
		success: function(html){
			$('.div_empresa_form').html(html);					
		}
	});
}
	
function eliminar_empresa(id)
{      
	if(confirm("Realmente desea eliminar?")){
		$.ajax({
			type: "POST",
			url: "../empresa/empresa_reg.php",
			async:true,
			dataType: "html",
			data: ({
				action: "eliminar",
				id:		id
			}),
			beforeSend: function() {
				
			},
			success: function(html){
				toastr["success"](html);	
			},
			complete: function(){
				empresa_tabla();
			}
		});
	}
}
	
$(function() {
	
	$('#btn_actualizar').click(function() {
		$("#contenido").load("../empresa/empresa_vista.php");
	});
	
	$("#div_empresa_form_dialog").on('hidden.bs.modal', function () {
          	$("#contenido").load("../empresa/empresa_vista.php");
    });
	
	empresa_tabla(); 
	setTitle("DATOS EMPRESA - "+nombreEmpresa);	
});
</script>
 <?php } ?>